Will QT run on X1000 with HDgraphics card? (Yes!)

AmigaOne X1000 platform specific issues.

Will QT run on X1000 with HDgraphics card? (Yes!)

Postby ktadd » Fri Aug 23, 2013 9:17 pm

I tried to get QT to run on my X1000 but was unsuccessful. It's been a while now so I don't exacly remember why but it's unclear to me if QT will run on an X1000 with just an HDGraphics card and at the time I thought that might be the problem. So...will it run or do I need to get a 9000 series graphics card to run AT? Any hints on getting it working would be great.
Last edited by ktadd on Sun Aug 25, 2013 8:45 am, edited 2 times in total.
Kevin - X1000 first contact / uA1
User avatar
ktadd
 
Posts: 43
Joined: Wed Nov 09, 2011 6:50 am

Re: Will QT run on X1000 with HDgraphics card?

Postby Creols » Sat Aug 24, 2013 10:15 am

ktadd wrote:I tried to get QT to run on my X1000 but was unsuccessful. It's been a while now so I don't exacly remember why but it's unclear to me if QT will run on an X1000 with just an HDGraphics card and at the time I thought that might be the problem. So...will it run or do I need to get a 9000 series graphics card to run AT? Any hints on getting it working would be great.

Qt run on X1000 with a HDGraphic card. You need to install Qt system before any Qt application.

Creols
AmigaOne XE, µA1, Sam 440ep, Sam Flex 800 MHz, Sam 460 ex, X1000 and more...
User avatar
Creols
 
Posts: 118
Joined: Mon Dec 20, 2010 6:57 pm
Location: Courbevoie, France

Re: Will QT run on X1000 with HDgraphics card?

Postby zzd10h » Sat Aug 24, 2013 7:20 pm

Yes it works but don't forget to change Prefs:Qt before to run otherwise it will try to open an OpenGL context (who will failed on a HD card)

According to the readme, in the Prefs just set :

Native dialogs: OFF
Native menus: OFF
Native fonts: OFF
Native painting: ON (to open on your HD card)
http://apps.amistore.net/zTools
X1000 - AmigaOS 4.1.6 / 4.1 FE
zzd10h
 
Posts: 546
Joined: Sun Sep 16, 2012 6:40 am
Location: France

Re: Will QT run on X1000 with HDgraphics card? (Yes!)

Postby ktadd » Sun Aug 25, 2013 8:44 am

Thanks for the answers guys. All working now.
Given your inputs this morning I went back and installed QT again. When I tried to run it I would get unable to open minigl.library failures. So I went and checked my minigl install and it turns out none of the demo minigl programs would run either, saying "couldn't open minigl version 2.0 or later". I checked my minigl libraries and they were version 2.5. Anyway, after further investigation I discovered my Warzp3D install wasn't working so I updated it to the latest version on Aminet and everything is working now. Wazp2D, minigl and QT! Nice to have the world of QT applications open to me now. Thanks again!
Kevin - X1000 first contact / uA1
User avatar
ktadd
 
Posts: 43
Joined: Wed Nov 09, 2011 6:50 am


Return to Platform: AmigaOne X1000

Who is online

Users browsing this forum: Google [Bot] and 2 guests